> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathstack.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Share Request

> This endpoint creates a Share Request.

The created Share Request is returned in the response.



## OpenAPI

````yaml openapi_2024-03-27 post /consumer/connection/share_request
openapi: 3.1.0
info:
  title: FastAPI
  version: '2024-03-27'
servers:
  - url: https://api.pathstack.io
    description: PathStack production environment
security: []
paths:
  /consumer/connection/share_request:
    post:
      tags:
        - Consumer
      summary: Create Share Request
      description: |-
        This endpoint creates a Share Request.

        The created Share Request is returned in the response.
      operationId: create_share_request_consumer_connection_share_request_post
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            default: '2024-03-27'
            title: X-Api-Version
          examples:
            default:
              value: '2024-03-27'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShareRequestInput'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success_ShareRequest_'
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 400
                        title: Error code
                      message:
                        type: string
                        example: Invalid JWT format
                        title: Error message
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 401
                        title: Error code
                      message:
                        type: string
                        example: >-
                          Authentication header is missing, or token is
                          invalid/expired.
                        title: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 403
                        title: Error code
                      message:
                        type: string
                        example: You do not have access to this resource
                        title: Error message
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 422
                        title: Error code
                      message:
                        type: string
                        example: Field required
                        title: Error message
                      loc:
                        items:
                          anyOf:
                            - type: string
                            - type: integer
                        type: array
                        title: Location
                      msg:
                        type: string
                        title: Message
                      type:
                        type: string
                        title: Error Type
          description: Unprocessable Entity
      security:
        - JWTBearer: []
components:
  schemas:
    ShareRequestInput:
      properties:
        email:
          type: string
          format: email
          title: Email
        filter:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Filter
      type: object
      required:
        - email
      title: ShareRequestInput
    Success_ShareRequest_:
      properties:
        data:
          $ref: '#/components/schemas/ShareRequest'
          description: Successful response payload
      type: object
      required:
        - data
      title: Success[ShareRequest]
    ShareRequest:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          title: Created At
        responded_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Responded At
        consumer_tenant:
          $ref: '#/components/schemas/ConsumerTenant'
        provider_email:
          type: string
          format: email
          title: Provider Email
        provider_tenant_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Provider Tenant Id
        filter_id:
          type: string
          format: uuid4
          title: Filter Id
        share_code:
          type: string
          title: Share Code
        accepted:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Accepted
      type: object
      required:
        - id
        - created_at
        - responded_at
        - consumer_tenant
        - provider_email
        - provider_tenant_id
        - filter_id
        - share_code
        - accepted
      title: ShareRequest
    ConsumerTenant:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ConsumerTenant
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````